%global __python %{__python3}
%define daemon_user monitor
Name: monitor-iot
Version: 0.1
Release: 0.5
License: OP5 EULA
Vendor: OP5 AB
Url: http://www.op5.com
BuildRoot: /tmp/%{name}-%{version}
Summary: monitor-iot
Group: Applications/Internet
Prefix: /opt/monitor-iot
Requires: rabbitmq-server
Requires: python34
BuildRequires: python34-devel
BuildRequires: systemd
Source: %{name}-%{version}.tar.gz
BuildArch: noarch

%description
monitor-iot

%prep
rm -rf %{prefix}/venv
%setup

%install
mkdir --parents --mode 755 %{buildroot}%{prefix}
mkdir --parents --mode 755 %{buildroot}%{_unitdir}
mkdir --parents --mode 755 %{buildroot}/etc/op5/
mkdir --parents --mode 755 %{buildroot}/etc/op5/partition-offset-map/
%{__cp} *.whl %{buildroot}%{prefix}/
%{__cp} monitor-iot.yml %{buildroot}/etc/op5/monitor-iot.yml
%{__cp} monitor-iot.service %{buildroot}%{_unitdir}/monitor-iot.service

%post
python3.4 -m venv %{prefix}/venv
%{prefix}/venv/bin/pip install --upgrade pip
%{prefix}/venv/bin/pip install %{prefix}/*.whl
rm --force %{prefix}/*.whl
chown -R %daemon_user %{prefix}

# Reload service daemon and start rabbitmq
systemctl daemon-reload
systemctl start rabbitmq-server

%files
%defattr(644,%daemon_user,root,755)
%{prefix}/*.whl
%config(noreplace) %attr(755, root, root) /etc/op5/monitor-iot.yml
%config %attr(755, root, root) %{_unitdir}/monitor-iot.service
%dir /etc/op5/partition-offset-map/

%clean
%{__rm} -rf %{buildroot}
